### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
ForwardTypePayoff Class Reference

Class for forward type payoffs. More...

`#include <ql/instruments/forward.hpp>`

Inheritance diagram for ForwardTypePayoff:
[legend]

List of all members.

## Public Member Functions

| ForwardTypePayoff (Position::Type type, Real strike)
Position::Type | forwardType () const
Real | strike () const
Payoff interface
std::string | name () const
std::string | description () const
Real | operator() (Real price) const

## Protected Attributes

Position::Type | type_
Real | strike_

## Detailed Description

Class for forward type payoffs.

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.